// This is a part of the GWC Library
// Copyright (C) 2001-2002 Aircom software
// All rights reserved.
//
// This source code can be used, distributed or modified
// free of charge only if this header copyright is not removed.
// In other cases, contact us at:
// web:   http://www.aircom.org
// email: info@aircom.org
//

#ifndef __GWCCCECTRLINC_H
#define __GWCCCECTRLINC_H

#include "GWCCCELink.h"

#ifdef _GWCCCECTRL_IN_OTHER_DLL
GWCCCECTRL_LINKAGE void GWCCCECtrlDllInitialize ();
#endif // _GWCCCECTRL_IN_OTHER_DLL

#if defined _AFXDLL && !defined _GWCCCECTRL_STATIC_
	//----------------------------------------------
	// MFC shared DLL, GWCColorComponentEditCtrl shared DLL
	//----------------------------------------------
	#ifdef _DEBUG
		#ifdef _UNICODE
			#pragma comment(lib,"GWCCceUD.lib")
			#pragma message("Automatically linking with GWCCceUD.dll")
		#else
			#pragma comment(lib,"GWCCceD.lib")
			#pragma message("Automatically linking with GWCCceD.dll")
		#endif
	#else
		#ifdef _UNICODE
			#pragma comment(lib,"GWCCceU.lib")
			#pragma message("Automatically linking with GWCCceU.dll")
		#else
			#pragma comment(lib,"GWCCce.lib")
			#pragma message("Automatically linking with GWCCce.dll")
		#endif
	#endif
#elif defined _GWCCCECTRL_STATIC_
	//--------------------------------------------------
	// MFC shared DLL, GWCColorComponentEditCtrl static library
	//--------------------------------------------------
	#ifdef _DEBUG
		#ifdef _UNICODE
			#pragma comment(lib,"GWCCceStUDS.lib")
			#pragma message("Automatically linking with GWCCceStUDS.lib")
		#else
			#pragma comment(lib,"GWCCceStDS.lib")
			#pragma message("Automatically linking with GWCCceStDS.lib")
		#endif
	#else
		#ifdef _UNICODE
			#pragma comment(lib,"GWCCceStUS.lib")
			#pragma message("Automatically linking with GWCCceStUS.lib")
		#else
			#pragma comment(lib,"GWCCceStS.lib")
			#pragma message("Automatically linking with GWCCceStS.lib")
		#endif
	#endif
#endif

#include "GWCColorComponentEditCtrl.h"
#include "GWCColorComponentSet.h"
#include "GWCColorFunc.h"

#endif // __GWCCCECTRLINC_H
